Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1656726 - Show excluded packages
Summary: Show excluded packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 07:54 UTC by Matej Marušák
Modified: 2019-02-21 02:57 UTC (History)
8 users (show)

Fixed In Version: dnf-4.1.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 02:57:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Matej Marušák 2018-12-06 07:54:34 UTC
Description of problem:
In both /etc/dnf/dnf.conf and /etc/yum.conf user may specify packages to exclude (both on install or on updates). This feature is great, but sometimes may cause a lot of frustration, for example when one sysadmin excludes some package as current version would break something, but after some time when different sysadmin (or even the same with bad memory like me :) ) tries to update given package is notified that nothing provides the package. (Especially frustrating when some other component requires newer version but newer version cannot be found).
It would be awesome, if user could be notified about this fact. Two ideas spring to mind:
1. Always notify that there are some excluded packages
2. Notify about packages being excluded only when relevant (that the package would get installed/updated in the transaction if not excluded)

Version-Release number of selected component (if applicable):
dnf-4.0.9-1.fc29


How reproducible:
Always. For example exclude package foo that has update. Try to update foo. Gets notify that there is noting to do, even though you know there is update (assume you did not exclude it, or you forgot about excluding it a while ago).

Comment 1 Jaroslav Mracek 2018-12-11 12:11:10 UTC
Please can you try to use a transaction command with -v option? In verbose mode you will get excludes described by dnf.conf and *.repo files (the information is also part of /var/log/dnf.log). Please can you confirm that the option solved your issue?

Comment 2 Matej Marušák 2018-12-11 13:15:48 UTC
It seems it does now show anything. See the outputs.

> rpm -q dnf
dnf-4.0.9-1.fc29.noarch

> rpm -q abrt
package abrt is not installed
(there for sure is abrt package available)

> cat /etc/dnf/dnf.conf
[main]
gpgcheck=1
installonly_limit=3
exclude=abrt
clean_requirements_on_remove=True

> sudo dnf -v install abrt
Loaded plugins: builddep, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repodiff, repograph, repomanage, reposync, system-upgrade
DNF version: 4.0.9
cachedir: /var/cache/dnf
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/abrt-nightly.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-cisco-openh264.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-testing.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Repository group_abrt-faf-el7 is listed more than once in the configuration
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/nodesource-fc27.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/nodesource-fc27.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/unitdrpms.repo; Configuration: OptionBinding with id "failovermethod" does not exist
repo: downloading from remote: alexpl-molsketch
Copr repo for molsketch owned by alexpl                                               199  B/s | 341  B     00:01    
Cannot download 'https://copr-be.cloud.fedoraproject.org/results/alexpl/molsketch/fedora-29-x86_64/': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried.
repo: using cache for: adobe-linux-i386
not found other for: Adobe Systems Incorporated
not found modules for: Adobe Systems Incorporated
not found deltainfo for: Adobe Systems Incorporated
not found updateinfo for: Adobe Systems Incorporated
adobe-linux-i386: using metadata from Fri 30 Nov 2018 01:50:14 CET.
repo: using cache for: adobe-linux-x86_64
not found other for: Adobe Systems Incorporated
not found modules for: Adobe Systems Incorporated
not found deltainfo for: Adobe Systems Incorporated
not found updateinfo for: Adobe Systems Incorporated
adobe-linux-x86_64: using metadata from Fri 30 Nov 2018 01:51:22 CET.
repo: using cache for: collaboraoffice.com_repos_CollaboraOnline_CODE-centos7
not found other for: created by dnf config-manager from https://www.collaboraoffice.com/repos/CollaboraOnline/CODE-centos7
not found modules for: created by dnf config-manager from https://www.collaboraoffice.com/repos/CollaboraOnline/CODE-centos7
not found deltainfo for: created by dnf config-manager from https://www.collaboraoffice.com/repos/CollaboraOnline/CODE-centos7
not found updateinfo for: created by dnf config-manager from https://www.collaboraoffice.com/repos/CollaboraOnline/CODE-centos7
collaboraoffice.com_repos_CollaboraOnline_CODE-centos7: using metadata from Sun 02 Dec 2018 23:34:50 CET.
repo: downloading from remote: docker-ce-edge
Docker CE Edge - x86_64                                                               468  B/s | 575  B     00:01    
Cannot download 'https://download.docker.com/linux/fedora/29/x86_64/edge': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried.
repo: downloading from remote: docker-ce-stable
Docker CE Stable - x86_64                                                             458  B/s | 577  B     00:01    
Cannot download 'https://download.docker.com/linux/fedora/29/x86_64/stable': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried.
repo: using cache for: docker-ce-test
not found other for: Docker CE Test - x86_64
not found modules for: Docker CE Test - x86_64
not found deltainfo for: Docker CE Test - x86_64
docker-ce-test: using metadata from Fri 07 Dec 2018 07:15:56 CET.
repo: using cache for: updates-modular
not found other for: Fedora Modular 29 - x86_64 - Updates
not found deltainfo for: Fedora Modular 29 - x86_64 - Updates
updates-modular: using metadata from Tue 11 Dec 2018 03:50:49 CET.
repo: using cache for: updates
not found other for: Fedora 29 - x86_64 - Updates
not found modules for: Fedora 29 - x86_64 - Updates
updates: using metadata from Tue 11 Dec 2018 03:34:31 CET.
repo: using cache for: fedora
not found other for: Fedora 29 - x86_64
not found modules for: Fedora 29 - x86_64
not found deltainfo for: Fedora 29 - x86_64
not found updateinfo for: Fedora 29 - x86_64
fedora: using metadata from Thu 25 Oct 2018 00:20:15 CEST.
repo: using cache for: google-chrome
not found other for: google-chrome
not found modules for: google-chrome
not found deltainfo for: google-chrome
not found updateinfo for: google-chrome
google-chrome: using metadata from Wed 05 Dec 2018 20:20:01 CET.
repo: downloading from remote: mmarusak-cucos-license-check
Copr repo for cucos-license-check owned by mmarusak                                   180  B/s | 271  B     00:01    
Cannot download 'https://coprbe.devel.redhat.com/results/mmarusak/cucos-license-check/fedora-29-x86_64/': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried.
repo: downloading from remote: mmarusak-oscryptocatcher
Copr repo for oscryptocatcher owned by mmarusak                                       177  B/s | 267  B     00:01    
Cannot download 'https://coprbe.devel.redhat.com/results/mmarusak/oscryptocatcher/fedora-29-x86_64/': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried.
repo: using cache for: nodesource
not found other for: Node.js Packages for Fedora Linux 27 - x86_64
not found modules for: Node.js Packages for Fedora Linux 27 - x86_64
not found deltainfo for: Node.js Packages for Fedora Linux 27 - x86_64
not found updateinfo for: Node.js Packages for Fedora Linux 27 - x86_64
nodesource: using metadata from Wed 28 Nov 2018 02:34:21 CET.
repo: using cache for: praiskup-pg-semver-latest
not found other for: Copr repo for pg-semver-latest owned by praiskup
not found modules for: Copr repo for pg-semver-latest owned by praiskup
not found deltainfo for: Copr repo for pg-semver-latest owned by praiskup
not found updateinfo for: Copr repo for pg-semver-latest owned by praiskup
praiskup-pg-semver-latest: using metadata from Thu 01 Nov 2018 11:01:53 CET.
repo: using cache for: rcm-tools-fedora-rpms
not found other for: RCM Tools for Fedora 29 (RPMs)
not found modules for: RCM Tools for Fedora 29 (RPMs)
not found deltainfo for: RCM Tools for Fedora 29 (RPMs)
not found updateinfo for: RCM Tools for Fedora 29 (RPMs)
rcm-tools-fedora-rpms: using metadata from Tue 04 Dec 2018 12:49:15 CET.
repo: using cache for: rpmfusion-free-updates
not found other for: RPM Fusion for Fedora 29 - Free - Updates
not found modules for: RPM Fusion for Fedora 29 - Free - Updates
not found deltainfo for: RPM Fusion for Fedora 29 - Free - Updates
not found updateinfo for: RPM Fusion for Fedora 29 - Free - Updates
rpmfusion-free-updates: using metadata from Wed 05 Dec 2018 12:32:36 CET.
repo: using cache for: rpmfusion-free
not found other for: RPM Fusion for Fedora 29 - Free
not found modules for: RPM Fusion for Fedora 29 - Free
not found deltainfo for: RPM Fusion for Fedora 29 - Free
not found updateinfo for: RPM Fusion for Fedora 29 - Free
rpmfusion-free: using metadata from Tue 23 Oct 2018 13:05:19 CEST.
repo: using cache for: skype-stable
not found other for: skype (stable)
not found modules for: skype (stable)
not found deltainfo for: skype (stable)
not found updateinfo for: skype (stable)
skype-stable: using metadata from Sat 08 Dec 2018 01:36:09 CET.
repo: using cache for: unitdrpms
not found other for: unitdrpms 29 - x86_64
not found modules for: unitdrpms 29 - x86_64
not found deltainfo for: unitdrpms 29 - x86_64
not found updateinfo for: unitdrpms 29 - x86_64
unitdrpms: using metadata from Fri 09 Mar 2018 02:57:08 CET.
Failed to synchronize cache for repo 'alexpl-molsketch', ignoring this repo.
Failed to synchronize cache for repo 'docker-ce-edge', ignoring this repo.
Failed to synchronize cache for repo 'docker-ce-stable', ignoring this repo.
Failed to synchronize cache for repo 'mmarusak-cucos-license-check', ignoring this repo.
Failed to synchronize cache for repo 'mmarusak-oscryptocatcher', ignoring this repo.
Last metadata expiration check: 0:09:15 ago on Tue 11 Dec 2018 14:04:13 CET.
Completion plugin: Generating completion cache...
No match for argument: abrt
Error: Unable to find a match

Comment 3 Jaroslav Mracek 2018-12-11 13:54:11 UTC
Please can you try other argument that will create a transaction table?

Comment 4 Jaroslav Mracek 2018-12-11 14:19:23 UTC
Here is a patch that will provide information always for every command just before run. https://github.com/rpm-software-management/dnf/pull/1289

Comment 5 Matej Marušák 2018-12-12 09:26:49 UTC
(In reply to Jaroslav Mracek from comment #3)
> Please can you try other argument that will create a transaction table?

Can you give me example of argument, that will create a transaction table?

Comment 6 Jaroslav Mracek 2018-12-12 21:33:35 UTC
dnf install acpi

Comment 7 Fedora Update System 2019-02-18 10:15:30 UTC
libcomps-0.1.10-2.fc29 libdnf-0.26.0-1.fc29 dnf-plugins-core-4.0.4-1.fc29 dnf-plugins-extras-4.0.2-1.fc29 dnf-4.1.0-1.fc29 librepo-1.9.4-1.fc29 createrepo_c-0.12.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 8 Fedora Update System 2019-02-19 06:27:27 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 9 Fedora Update System 2019-02-21 02:57:01 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.